Bug 862367 - 'Ctrl + Space' not working, ibus frontend for fbterm does not show up
'Ctrl + Space' not working, ibus frontend for fbterm does not show up
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: ibus-fbterm (Show other bugs)
23
x86_64 Linux
unspecified Severity urgent
: ---
: ---
Assigned To: Ding-Yi Chen
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-10-02 14:00 EDT by Tinggong Wang
Modified: 2016-05-11 02:28 EDT (History)
4 users (show)

See Also:
Fixed In Version: ibus-fbterm-1.0.1-1.fc24
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-05-11 02:28:36 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Tinggong Wang 2012-10-02 14:00:44 EDT
Description of problem:
ibus works well in X11, but in fbterm, ibus-fbterm can not activate him.

Version-Release number of selected component (if applicable):
ibus-1.4.99.20120914-2.fc17.src.rpm
fbterm-1.6-5.fc17.x86_64
ibus-fbterm-0.9.1-14.fc17.x86_64

How reproducible:
always

Steps to Reproduce:
1. start Fedora 17 X11 Desktop
2. ibus works well, 'Ctrl + Space' can switch between input methods
3. press 'CTRL + ALT + F2' to console
4. exec command: ibus-fbterm-launch
5. press 'Ctrl + Space', nothing happen
  
Actual results:
ibus frontend for fbterm does not show up

Expected results:
'Ctrl + Space' can switch between input methods

Additional info:

after dig into source, ibus tree says:
commit 53d33ec4e6ad41a116f25cfa7ce12e04f6f93752
Author: Peng Huang <shawn.p.huang@gmail.com>
Date:   Tue Aug 16 07:26:42 2011 -0400

    Remove enable status of input context and hotkey logic in ibus-daemon

the latest ibus-fbterm is ibus-fbterm-0.9.1.tar.gz, uploaded in Nov 2009.
after ibus framework changed, ibus-fbterm do can not work now.
Comment 1 Fedora End Of Life 2013-07-03 18:06:47 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 2 Tinggong Wang 2013-07-04 14:59:49 EDT
on Fedora release 18 (Spherical Cow), not fixed.
Comment 3 Fedora End Of Life 2013-12-21 04:00:44 EST
This message is a reminder that Fedora 18 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 18. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '18'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 18's end of life.

Thank you for reporting this issue and we are sorry that we may not be 
able to fix it before Fedora 18 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior to Fedora 18's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 4 Jan Kurik 2015-07-15 10:58:37 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 23 development cycle.
Changing version to '23'.

(As we did not run this process for some time, it could affect also pre-Fedora 23 development
cycle bugs. We are very sorry. It will help us with cleanup during Fedora 23 End Of Life. Thank you.)

More information and reason for this action is here:
https://fedoraproject.org/wiki/BugZappers/HouseKeeping/Fedora23

Note You need to log in before you can comment on or make changes to this bug.